> For the complete documentation index, see [llms.txt](https://docs.klipwallet.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.klipwallet.com/tutorial.md).

# Tutorial

이 페이지는 Klip API 튜토리얼을 소개합니다.

Klip API 튜토리얼은 Klip Partners REST API 튜토리얼과 App2App REST API 튜토리얼로 구성됩니다.

## Klip Partners API

Klip Partners API는 카드(NFT)를 발행, 전송, 삭제, 관리하는 기능 구현을 위한 REST API입니다. Klip Partners API 튜토리얼은 Klip Partners 가입과 로그인, 카드 발행, 카드 정보 조회, 카드 전송, 카드와 계정 정보를 관리하는 방법을 상세하게 안내합니다.

## App2App API

App2App API는 여러분의 "BApp"을 "Klip"과 연동하는 기능 구현을 위한 API입니다. App2App API 튜토리얼은 BApp이 Klip에 접근하기 위한 환경 설정부터 BApp에서 Klip에 요청을 보냄으로써 사용자 인증(`auth`), KAIA(=KLAY) 전송(`send_klay`), 토큰 전송(`send_token`), 카드 전송(`send_card`), 컨트랙트 실행(`execute_contract`) 작업을 수행하는 과정을 상세하게 안내합니다. App2App API 튜토리얼은 REST API를 기준으로 안내합니다.

| 항목                                                      | 설명                                                        |
| ------------------------------------------------------- | --------------------------------------------------------- |
| [Klip Partners API](/tutorial/tutorial-card-minting.md) | 카드를 발행, 전송, 관리하는 방법                                       |
| [App2App API](/tutorial/tutorial-a2a-rest-api.md)       | BApp과 Klip을 연동해 카드, 토큰, KAIA(=KLAY) 전송 및 컨트랙트 실행을 요청하는 방법 |

이 문서 혹은 Klip에 관한 문의는 [개발자 포럼](https://klipforum.zendesk.com)을 방문해 도움을 받으십시오.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.klipwallet.com/tutorial.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
